#   pycsla-binary: Python implementation of CSLA .NET binary serialisation
#   Copyright (C) 2025  Lee Yingtong Li (RunasSudo)
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.

from enum import Enum

class CslaKnownTypes(Enum):
	Boolean = 1
	Char = 2
	SByte = 3
	Byte = 4
	Int16 = 5
	UInt16 = 6
	Int32 = 7
	UInt32 = 8
	Int64 = 9
	UInt64 = 10
	Single = 11
	Double = 12
	Decimal = 13
	DateTime = 14
	String = 15
	TimeSpan = 16
	DateTimeOffset = 17
	Guid = 18
	ByteArray = 19
	CharArray = 20
	ListOfInt = 21
	Null = 22
	StringWithDictionaryKey = 23
	StringDictionaryKey = 24
